package com.yc.ship.module.trade.service.invoice;


import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.module.trade.dal.dataobject.invoice.InvoiceDO;

import java.util.List;

public interface InvoiceGroupService {


    CommonResult<InvoiceDO> invoiceIssuance(InvoiceDO invoice, String remark);

    CommonResult<?> batchInvoice(List<InvoiceDO> invoiceList);

    CommonResult<InvoiceDO> queryInvoice(InvoiceDO invoice);

    CommonResult<InvoiceDO> redInvoiceIssuance(InvoiceDO invoice);

    CommonResult<InvoiceDO> queryRedInvoice(InvoiceDO invoice);
}
